## nm-version-macros nm-version-macros |

## Functions

#define | NM_CHECK_VERSION()
#define | NM_ENCODE_VERSION()

## Types and Values

#define | NM_MAJOR_VERSION
#define | NM_MINOR_VERSION
#define | NM_MICRO_VERSION
#define | NM_VERSION_0_9_8
#define | NM_VERSION_0_9_10
#define | NM_VERSION_1_0
#define | NM_VERSION_1_2
#define | NM_VERSION_1_4
#define | NM_VERSION_1_6
#define | NM_VERSION_1_8
#define | NM_VERSION_1_10
#define | NM_VERSION_1_12
#define | NM_VERSION_1_14
#define | NM_VERSION_1_16
#define | NM_VERSION_1_18
#define | NM_VERSION_1_20
#define | NM_VERSION_1_22
#define | NM_VERSION_1_24
#define | NM_VERSION_1_26
#define | NM_VERSION_1_28
#define | NM_VERSION_1_30
#define | NM_VERSION_1_32
#define | NM_VERSION_1_34
#define | NM_VERSION_1_36
#define | NM_VERSION_1_38
#define | NM_VERSION_1_40
#define | NM_VERSION_1_42
#define | NM_VERSION_1_44
#define | NM_VERSION_1_46
#define | NM_API_VERSION
#define | NM_VERSION_CUR_STABLE
#define | NM_VERSION_NEXT_STABLE
#define | NM_VERSION

## Description

## Functions

### NM_CHECK_VERSION()

    #define             NM_CHECK_VERSION(major, minor, micro)

#### Parameters

major | major version (e.g. 1 for version 1.2.5) |
minor | minor version (e.g. 2 for version 1.2.5) |
micro | micro version (e.g. 5 for version 1.2.5) |

#### Returns

`TRUE` if the version of the NetworkManager header files is the same as or newer than the passed-in version.

### NM_ENCODE_VERSION()

    #define             NM_ENCODE_VERSION(major, minor, micro)

## Types and Values

### NM_MAJOR_VERSION

    #define             NM_MAJOR_VERSION

Evaluates to the major version number of NetworkManager which this source is compiled against.

### NM_MINOR_VERSION

    #define             NM_MINOR_VERSION

Evaluates to the minor version number of NetworkManager which this source is compiled against.

### NM_MICRO_VERSION

    #define             NM_MICRO_VERSION

Evaluates to the micro version number of NetworkManager which this source compiled against.

### NM_VERSION_0_9_8

    #define             NM_VERSION_0_9_8

### NM_VERSION_0_9_10

    #define             NM_VERSION_0_9_10

### NM_VERSION_1_0

    #define             NM_VERSION_1_0

### NM_VERSION_1_2

    #define             NM_VERSION_1_2

### NM_VERSION_1_4

    #define             NM_VERSION_1_4

### NM_VERSION_1_6

    #define             NM_VERSION_1_6

### NM_VERSION_1_8

    #define             NM_VERSION_1_8

### NM_VERSION_1_10

    #define             NM_VERSION_1_10

### NM_VERSION_1_12

    #define             NM_VERSION_1_12

### NM_VERSION_1_14

    #define             NM_VERSION_1_14

### NM_VERSION_1_16

    #define             NM_VERSION_1_16

### NM_VERSION_1_18

    #define             NM_VERSION_1_18

### NM_VERSION_1_20

    #define             NM_VERSION_1_20

### NM_VERSION_1_22

    #define             NM_VERSION_1_22

### NM_VERSION_1_24

    #define             NM_VERSION_1_24

### NM_VERSION_1_26

    #define             NM_VERSION_1_26

### NM_VERSION_1_28

    #define             NM_VERSION_1_28

### NM_VERSION_1_30

    #define             NM_VERSION_1_30

### NM_VERSION_1_32

    #define             NM_VERSION_1_32

### NM_VERSION_1_34

    #define             NM_VERSION_1_34

### NM_VERSION_1_36

    #define             NM_VERSION_1_36

### NM_VERSION_1_38

    #define             NM_VERSION_1_38

### NM_VERSION_1_40

    #define             NM_VERSION_1_40

### NM_VERSION_1_42

    #define             NM_VERSION_1_42

### NM_VERSION_1_44

    #define             NM_VERSION_1_44

### NM_VERSION_1_46

    #define             NM_VERSION_1_46

### NM_API_VERSION

    #define             NM_API_VERSION

### NM_VERSION_CUR_STABLE

    #define             NM_VERSION_CUR_STABLE

### NM_VERSION_NEXT_STABLE

    #define             NM_VERSION_NEXT_STABLE

### NM_VERSION

    #define             NM_VERSION